Subject: Re: [Bitcoin-development] DNS seeds unstable

From: Mike Hearn <[email-masked]>
Date: Fri, 16 May 2014 16:09:28 +0200

My android wallet is working OK. Yes it isn't great when seeds have
temporary availability problems but things are still working.

There's a couple of pull reqs outstanding to include hard coded seed peers
and getaddr sourced IPs. Once those are finished and merged in there'll be
more backup paths.
On 16 May 2014 11:16, "Andreas Schildbach" <[email-masked]> wrote:

> On 05/15/2014 07:48 PM, Gregory Maxwell wrote:
> > On Thu, May 15, 2014 at 4:50 AM, Andreas Schildbach
> > <[email-masked]> wrote:
> >> I'm bringing this issue up again. The current Bitcoin DNS seed
> >> infrastructure is unstable. I assume this is because of we're using a
> >> custom DNS implementation which is not 100% compatible. There have been
> >> bugs in the past, like a case sensitive match for the domain name.
> >
> > If software is using the DNS seeds in a way where one or two being
> > unavailable is problematic, then the software may be using them
> > poorly.
> >
> > Generally DNS seeds should only be used as fast connectivity hints,
> > primarily for initial connectivity. Relying on them exclusively
> > increases isolation vulnerabilities (e.g. because the dns seed
> > operators or any ISP or network attacker on the path between you and
> > the seeds can replace the results with ones that isolate you on a
> > bogus network).
>
> I just used "nslookup", after seeing the issues in bitcoinj.
>
> I agree that clients should be robust regarding DNS lookups (and
> bitcoinj isn't), but still I think the first step needs to be
> maintaining a quality infrastructure.
>
>
>
>
> ------------------------------------------------------------------------------
> "Accelerate Dev Cycles with Automated Cross-Browser Testing - For FREE
> Instantly run your Selenium tests across 300+ browser/OS combos.
> Get unparalleled scalability from the best Selenium testing platform
> available
> Simple to use. Nothing to install. Get started now for free."
> http://p.sf.net/sfu/SauceLabs
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>